Package ru.bitel.bgbilling.plugins.assistant.common.bean

# Class AssistantAction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.assistant.common.bean.AssistantAction

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class AssistantAction extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistantAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActionClass()`
  `String`
  `getActionId()`
  `String`
  `getConfig()`
  `int`
  `getDependent()`
  `int`
  `getSort()`
  `List<Integer>`
  `getUserRoleIds()`
  `AssistantAction`
  `setActionClass(String actionClass)`
  `AssistantAction`
  `setActionId(String actionId)`
  `AssistantAction`
  `setConfig(String config)`
  `AssistantAction`
  `setDependent(int dependent)`
  `AssistantAction`
  `setId(int id)`
  Устанавливает id объекта
  `AssistantAction`
  `setSort(int sort)`
  `AssistantAction`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `AssistantAction`
  `setUserRoleIds(List<Integer> userRoleIds)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### AssistantAction

    public AssistantAction()

- ## Method Details

  - ### getActionClass

    public String getActionClass()

  - ### getActionId

    public String getActionId()

  - ### getConfig

    public String getConfig()

  - ### getDependent

    public int getDependent()

  - ### getSort

    public int getSort()

  - ### getUserRoleIds

    public List<Integer> getUserRoleIds()

  - ### setActionClass

    public AssistantAction setActionClass(String actionClass)

  - ### setActionId

    public AssistantAction setActionId(String actionId)

  - ### setConfig

    public AssistantAction setConfig(String config)

  - ### setDependent

    public AssistantAction setDependent(int dependent)

  - ### setSort

    public AssistantAction setSort(int sort)

  - ### setUserRoleIds

    public AssistantAction setUserRoleIds(List<Integer> userRoleIds)

  - ### setId

    public AssistantAction setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public AssistantAction setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`